gtk-sharp 0.0.0.0 neutral Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. A class that makes an underlying sortable. GLib.Object Gtk.TreeModel GLib.IWrapper Gtk.TreeSortable GLib.IWrapper System.IDisposable
- Method
  System.Int32 Returns the number of children the object's iterator has. An integer. As a special case, if iter is , then the number of toplevel nodes is returned.
- Method
  System.Boolean `` Returns the rows of this tree. A to fill with the rows of this tree. A , true if this tree has children, false otherwise. The underlying C call supports the specification of arbitrary parent rows to return children of, but the C# bindings assume that the root node is always the parent.
- Method
  System.Void Fires a event. Designed to be called by routines that change the sort of the tree.
- Method
  System.Void `` `` Sets which column is to be used to sort the data in the tree. A , the sort column index. A , the kind of sort to use
- Method
  System.Void `` `` `` `` Sets a function that should be used to be sort a particular column. A , the index of the column to be sorted A , the function to use for sorting An , pointer to the user data, or A to be called when user data is destroyed, or . This method is meant to be used together with .(FIXME: explain the user data parameter.)
- Method
  System.Void `` `` `` Sets a function that should be used to be sort columns by default if not otherwise specified by . A , the function to use for sorting An , pointer to the user data, or A to be called when user data is destroyed, or . This method is meant to be used together with .(FIXME: explain the user data parameter.)
- Method
  System.Void `` `` Emits a signal for the row in . A pointing to the changed row. A pointing to the changed row.
- Method
  System.Void `` Run on every row in the TreeModel. A
- Method
  System.Boolean `` Gets the first iterator in the tree (the one at the path "0") and returns . an object of type an object of type Returns if the tree is empty.
- Method
  System.Void `` `` Emits the event. an object of type an object of type This should be called by models after the child state of a node changes.
- Method
  Gtk.TreePath `` Gets the of . an object of type an object of type
- Method
  System.Boolean `` Returns if iter has children, otherwise. an object of type an object of type
- Method
  System.Void `` Lets the tree ref the node. an object of type

  This is an optional method for models to implement. To be more specific, models may ignore this call as it exists primarily for performance reasons.

  This function is primarily meant as a way for views to let caching models know when nodes are being displayed (and hence, whether or not to cache that node.) For example, a file-system based model would not want to keep the entire file-hierarchy in memory, just the sections that are currently being displayed by every current view.

  A model should be expected to be able to get an iter independent of its referenced state.

- Method
  System.Int32 `` Returns the number of children that has. an object of type an object of type As a special case, if is , then the number of toplevel nodes is returned.
- Method
  System.Void `` `` Emits the event. an object of type , path of the inserted row. an object of type , points to the inserted row.
- Method
  System.Void `` Emits the event. an object of type This should be called by models after a row has been removed. The location pointed to by should be the location that the row previously was at. It may not be a valid location anymore.
- Method
  System.Void `` `` Gets the values of child properties for the row pointed to by . an object of type a , pointer to the va_list data structure of arguments (FIXME: clarify what va_lists look like)
- Method
  System.Void `` Lets the tree unref the node. an object of type This is an optional method for models to implement. To be more specific, models may ignore this call as it exists primarily for performance reasons. For more information on what this means, see . Please note that nodes that are deleted are not unreferenced.
- Method
  Gtk.TreePath `` Converts to a path on the child model of this TreeModelSort object. (In other words, points to a location within this objectable.) A A new that points to the same location as in the model that's not sorted. May also return if the does not point to a location in the child model.
- Method
  System.Void * This function should almost never be called. It clears the TreeModelSort object of any cached iterators that haven't been reffed with . This might be useful if the child model being sorted is static (and doesn't change often) and there has been a lot of unreffed access to nodes. As a side effect of this function, all unreffed iters will be invalid.
- Method
  System.Void Clear the default sort function.
- Method
  Gtk.TreePath `` Converts to a path relative to . That is, points to a path in the child model. The returned path will point to the same row in the sorted model. If isn't a valid path on the child model, then is returned. A A
- Method
  System.Void Disposes the resources associated with the object.
- Constructor
  Internal constructor
  Pointer to the C object.
  An instance of TreeModelSort, wrapping the C object.

  This is an internal constructor, and should not be used by user code.

- Constructor
  Constructor.
  A , the child model for the new object.
  A new
  FIXME: needs more explanation.
- Property
  System.Int32 The number of columns supported by the object. An integer count of the columns.
- Property
  Gtk.TreeModelFlags Returns a set of flags supported by this interface. The flags are a bitwise combination of . a The flags supported should not change during the lifecycle of the tree model.
- Event
  System.EventHandler Fired when the sort column is changed.
- Event
  Gtk.RowHasChildToggledHandler Fired when the child state of a row is toggled.
- Event
  Gtk.RowInsertedHandler Fired when a new row is inserted into the tree.
- Event
  Gtk.RowDeletedHandler Fired when a row is deleted from the tree.
- Event
  Gtk.RowChangedHandler Fired when a tree row is changed.
- Event
  Gtk.RowsReorderedHandler Fired when rows are reordered or moved around.
- Method
  System.Boolean `` `` Sets to be the child of the root node, using the given index. an object of type an object of type an object of type In this case, the nth root node is set.
- Method
  System.Boolean `` `` `` Sets to be the child of , using the given index. an object of type an object of type an object of type an object of type The first index is 0. If is too big, or has no children, is set to an invalid iterator and is returned. will remain a valid node after this function has been called.
- Method
  System.Boolean `` `` Gets the at . an object of type an object of type an object of type Otherwise, is left invalid and is returned.
- Method
  System.Boolean `` `` Sets to point to the first child of . an object of type an object of type an object of type If has no children, is returned and is set to be invalid. will remain a valid node after this function has been called.
- Method
  System.Boolean `` `` Sets to a valid iterator pointing to . an object of type an object of type an object of type
- Method
  System.Boolean `` `` Sets to be the parent of . an object of type an object of type an object of type If is at the toplevel, and does not have a parent, then is set to an invalid iterator and is returned. will remain a valid node after this function has been called.
- Method
  System.String `` Generates a string representation of the path of . a a This string is a ':' separated list of numbers. For example, "4:10:0:3" would be an acceptable return value for this string.
- Method
  System.Boolean `` Tests whether is a valid iterator for this TreeModel. a a
- Method
  System.Boolean `` `` Returns the index of the column currently being used to sort the model data. a , an integer to put the results in a , an object to put the type of sort into a
- Method
  System.Void `` `` `` Sets the value of column in the row pointed to by to if the value is a boolean. a a a
- Method
  System.Void `` `` `` Sets the value of column in the row pointed to by to if the value is a . a a a
- Method
  System.Void `` `` `` Sets the value of column in the row pointed to by to if the value is an . a a a
- Method
  System.Void `` `` `` Sets the value of column in the row pointed to by to if the value is an . a a a
- Method
  System.Void `` `` `` Sets the value of column in the row pointed to by to if the value is an . a a a
- Method
  System.Void `` `` `` Sets the value of column in the row pointed to by to if the value is an . a a a
- Method
  System.Void `` `` `` Sets the value of column in the row pointed to by to if the value is an . a a a
- Method
  Gtk.TreeIter `` Add the list of objects in to the model; there should be enough objects to fill one row of the model. a a
- Method
  System.Object `` `` Gets the value stored in column of the row pointed to by . a a a
- Property
  System.Boolean Return whether this TreeModel has a default sort function or not. a , true if a default sort function exists. See to set a default sort function.
- Property
  GLib.GType GType Property. a Returns the native value for .
- Method
  GLib.GType `` Returns the type of the column at the given index. a , the column number. a
- Method
  System.Void `` `` `` Default handler for the event. a a a Override this method in a subclass to provide a default handler for the event.
- Method
  System.Void `` `` Default handler for the event. a a Override this method in a subclass to provide a default handler for the event.
- Method
  System.Void `` Default handler for the event. a Override this method in a subclass to provide a default handler for the event.
- Method
  System.Void `` `` Default handler for the event. a a Override this method in a subclass to provide a default handler for the event.
- Method
  System.Void `` `` Default handler for the event. a a Override this method in a subclass to provide a default handler for the event.
- Method
  System.Void Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Constructor
  Protected Constructor.
  a
  a
  Chain to this constructor if you have manually registered a native value for your subclass.
- Method
  Gtk.TreeIter `` Returns the row in the TreeModel that corresponds to the row pointed to by . a a
- Method
  Gtk.TreeIter `` Returns an iter that points to the row pointed to by . a a
- Method
  System.Int32 `` `` Sends out a event. a that points to the row whose children have been reordered. a that points to the row whose children have been reordered. a , pointer to an array of integers with the new indices of the children.
- Method
  System.Void `` `` `` Gets the value stored in column of the row pointed to by and stores it in a a a
- Method
  System.Boolean `` Sets to point to the node following it at the current level. an object of type an object of type If there is no next iter, is returned and iter is set to be invalid.
- Method
  System.Boolean `` To be added a a To be added
- Method
  System.Boolean `` To be added a a To be added
- Method
  System.Boolean `` `` To be added a a a To be added